0

I'm running Debian 8.5 Jessie on the host.

So I'm trying to run docker inside of docker:

$ docker info
Error response from daemon: client is newer than server (client API version: 1.24, server API version: 1.23)

Current version of docker on the host:

root@runner:~# docker -v
Docker version 1.11.2, build b9f10c9

So I want to bump the version, I see 1.13 is out so I'd like that. This is where the problem is, how do I upgrade it?

After seeing this page: https://docs.docker.com/release-notes/ it seems like there are different types of Docker. How do I find out which one I'm using (I inherited this project) and how to upgrade it. I've read that docker-machine upgrade works, however docker machine is not recognized on my system.

So how do I upgrade my docker?

0

Hmm very strange. I followed this: https://docs.docker.com/cs-engine/1.13/upgrade/#ubuntu-1404-lts-or-1604-lts and it seemed to work. Extremely poor documentation from Docker.

Version jumped from 1.11 to 17.05.0-ce now. The docker in docker is now working however.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.